Name:           gnome-chess
Version:        3.12.2
Release:        2
Summary:        GNOME Chess game

License:        GPLv2+ and GFDL
Group:		Games/Other
URL:            https://live.gnome.org/Chess
Source0:        http://ftp.gnome.org/pub/GNOME/sources/%{name}/3.12/%{name}-%{version}.tar.xz

BuildRequires:  desktop-file-utils
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  intltool
BuildRequires:  itstool
BuildRequires:  pkgconfig(librsvg-2.0)
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(glu)
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:  vala-devel

Obsoletes: gnome-games < 3.7.92
Obsoletes: glchess < 3.7.92
Provides: glchess = %{version}-%{release}

Requires: gnuchess

%description
A chess game which supports several chess engines, with 2D and optionally 3D
support if OpenGL is present.

%prep
%setup -q

%build
%configure2_5x
%make

%install
%makeinstall_std

desktop-file-validate $RPM_BUILD_ROOT%{_datadir}/applications/gnome-chess.desktop

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%doc COPYING
%{_bindir}/gnome-chess
%{_datadir}/applications/gnome-chess.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.gnome-chess.gschema.xml
%{_datadir}/gnome-chess
%{_datadir}/icons/hicolor/*/apps/gnome-chess.*
%{_mandir}/man6/gnome-chess.6*
%{_sysconfdir}/gnome-chess/engines.conf
%{_datadir}/appdata/gnome-chess.appdata.xml

%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 3.12.2-2
+ Revision: 4688e1f
- MassBuild#440: Increase release tag


